# std::swap(std::unordered_set)

From cppreference.com
< cpp‎ | container‎ | unordered set

template< class Key, class Hash, class KeyEqual, class Alloc > void swap( unordered_set<Key,Hash,KeyEqual,Alloc>& lhs, unordered_set<Key,Hash,KeyEqual,Alloc>& rhs ); |  | (since C++11) (until C++17)
template< class Key, class Hash, class KeyEqual, class Alloc > void swap( unordered_set<Key,Hash,KeyEqual,Alloc>& lhs, unordered_set<Key,Hash,KeyEqual,Alloc>& rhs ) noexcept(/* see below */); |  | (since C++17)

Specializes the std::swap algorithm for std::unordered_set. Swaps the contents of `lhs` and `rhs`. Calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | containers whose contents to swap

### Return value

(none)

### Complexity

Constant.

### Exceptions

`noexcept` specification: noexcept(noexcept(lhs.swap(rhs))) | (since C++17)

### See also

swap | swaps the contents (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_set/swap2&oldid=50797"